MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024591Open CASCADE[OCCT] OCCT:Testspublic2014-02-03 16:522014-05-05 13:37
Reporterama 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSWindowsOS Version
Product Version 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024591: Modification of tests in group "sewing"
DescriptionModification of tests in group "sewing" in order to check the number of free edges properly.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024592closedgka Instability of sewing 

-  Notes
(0027740)
ama (developer)
2014-02-03 18:03

Git branch http://git.dev.opencascade.org/gitweb/?p=occt.git;a=shortlog;h=refs/heads/CR24591 [^] is ready to be reviewed.
(0027741)
abv (manager)
2014-02-03 18:49

No remarks, please test
(0027756)
mkv (tester)
2014-02-05 10:42

Dear BugMaster,

Branch CR24591 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: e5c2758177404929d87a2f1da7f3311aed7b9093

Number of compiler warnings:

occt component :
Linux: 44 (44 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 380497540 / 372423156
Total CPU difference: 40622.95 / 43919.69000000019

Testing on Windows:
Total MEMORY difference: 430855724 / 409835076
Total CPU difference: 35735.796875 / 35405.578125

There are not differences in images found by testdiff.

- Related Changesets
occt: master eddb9c7c
Timestamp: 2014-02-03 13:11:17
Author: ama
Committer: apn
Details ] Diff ]
0024591: Modification of tests in group "sewing"

Proper use of "freebounds" command in sewing testgrid: pload XSDRAW, reference data for checking free edges were added.
mod - tests/sewing/begin Diff ] File ]
mod - tests/sewing/end Diff ] File ]
mod - tests/sewing/tol_0_01/C9 Diff ] File ]
mod - tests/sewing/tol_0_01/D1 Diff ] File ]
mod - tests/sewing/tol_0_01/D2 Diff ] File ]
mod - tests/sewing/tol_0_01/D3 Diff ] File ]
mod - tests/sewing/tol_0_01/D4 Diff ] File ]
mod - tests/sewing/tol_0_01/D5 Diff ] File ]
mod - tests/sewing/tol_0_01/E1 Diff ] File ]
mod - tests/sewing/tol_0_01/E3 Diff ] File ]
mod - tests/sewing/tol_0_01/E5 Diff ] File ]
mod - tests/sewing/tol_0_01/E6 Diff ] File ]
mod - tests/sewing/tol_0_01/E7 Diff ] File ]
mod - tests/sewing/tol_0_01/E8 Diff ] File ]
mod - tests/sewing/tol_0_01/E9 Diff ] File ]
mod - tests/sewing/tol_0_01/F1 Diff ] File ]
mod - tests/sewing/tol_0_01/F2 Diff ] File ]
mod - tests/sewing/tol_0_01/F3 Diff ] File ]
mod - tests/sewing/tol_0_01/F4 Diff ] File ]
mod - tests/sewing/tol_0_01/F5 Diff ] File ]
mod - tests/sewing/tol_0_01/F6 Diff ] File ]
mod - tests/sewing/tol_0_01/F7 Diff ] File ]
mod - tests/sewing/tol_0_01/F8 Diff ] File ]
mod - tests/sewing/tol_0_01/G3 Diff ] File ]
mod - tests/sewing/tol_0_01/G4 Diff ] File ]
mod - tests/sewing/tol_0_01/H2 Diff ] File ]
mod - tests/sewing/tol_0_01/Q4 Diff ] File ]
mod - tests/sewing/tol_0_01/Q5 Diff ] File ]
mod - tests/sewing/tol_0_01/W3 Diff ] File ]
mod - tests/sewing/tol_0_01/W9 Diff ] File ]
mod - tests/sewing/tol_0_01/X1 Diff ] File ]
mod - tests/sewing/tol_0_01/X2 Diff ] File ]
mod - tests/sewing/tol_0_01/X5 Diff ] File ]
mod - tests/sewing/tol_0_01/X7 Diff ] File ]
mod - tests/sewing/tol_0_01/Y2 Diff ] File ]
mod - tests/sewing/tol_0_01/Y3 Diff ] File ]
mod - tests/sewing/tol_0_01/Y4 Diff ] File ]
mod - tests/sewing/tol_0_01/Y5 Diff ] File ]
mod - tests/sewing/tol_0_01/Z2 Diff ] File ]
mod - tests/sewing/tol_0_01/Z3 Diff ] File ]
mod - tests/sewing/tol_0_01/Z4 Diff ] File ]
mod - tests/sewing/tol_0_01/Z6 Diff ] File ]
mod - tests/sewing/tol_0_01/Z7 Diff ] File ]
mod - tests/sewing/tol_1/E5 Diff ] File ]
mod - tests/sewing/tol_1/E7 Diff ] File ]
mod - tests/sewing/tol_1/E8 Diff ] File ]
mod - tests/sewing/tol_1/F1 Diff ] File ]
mod - tests/sewing/tol_1/F2 Diff ] File ]
mod - tests/sewing/tol_1/F3 Diff ] File ]
mod - tests/sewing/tol_1/F6 Diff ] File ]
mod - tests/sewing/tol_1/G3 Diff ] File ]
mod - tests/sewing/tol_1/I8 Diff ] File ]
mod - tests/sewing/tol_1/K2 Diff ] File ]
mod - tests/sewing/tol_1/N2 Diff ] File ]
mod - tests/sewing/tol_1/O7 Diff ] File ]
mod - tests/sewing/tol_1/O9 Diff ] File ]
mod - tests/sewing/tol_1/S5 Diff ] File ]
mod - tests/sewing/tol_100/C3 Diff ] File ]
mod - tests/sewing/tol_100/C5 Diff ] File ]
mod - tests/sewing/tol_100/D3 Diff ] File ]
mod - tests/sewing/tol_100/I6 Diff ] File ]
mod - tests/sewing/tol_100/I9 Diff ] File ]
mod - tests/sewing/tol_100/J1 Diff ] File ]
mod - tests/sewing/tol_100/J2 Diff ] File ]
mod - tests/sewing/tol_100/J3 Diff ] File ]
mod - tests/sewing/tol_100/J5 Diff ] File ]
mod - tests/sewing/tol_100/J6 Diff ] File ]
mod - tests/sewing/tol_100/K1 Diff ] File ]
mod - tests/sewing/tol_100/K2 Diff ] File ]
mod - tests/sewing/tol_100/K3 Diff ] File ]
mod - tests/sewing/tol_100/Y7 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-03 16:52 ama New Issue
2014-02-03 16:52 ama Assigned To => ama
2014-02-03 16:54 ama Status new => assigned
2014-02-03 18:03 ama Note Added: 0027740
2014-02-03 18:03 ama Assigned To ama => abv
2014-02-03 18:03 ama Status assigned => resolved
2014-02-03 18:48 abv Relationship added related to 0024592
2014-02-03 18:49 abv Note Added: 0027741
2014-02-03 18:49 abv Assigned To abv => bugmaster
2014-02-03 18:49 abv Status resolved => reviewed
2014-02-04 12:52 mkv Assigned To bugmaster => mkv
2014-02-05 10:42 mkv Note Added: 0027756
2014-02-05 10:42 mkv Test case number => Not needed
2014-02-05 10:42 mkv Assigned To mkv => bugmaster
2014-02-05 10:42 mkv Status reviewed => tested
2014-02-05 12:53 abv Target Version => 6.7.1
2014-02-10 12:41 apn Changeset attached => occt master eddb9c7c
2014-02-10 12:41 apn Assigned To bugmaster => apn
2014-02-10 12:41 apn Status tested => verified
2014-02-10 12:41 apn Resolution open => fixed
2014-05-05 13:34 aiv Status verified => closed
2014-05-05 13:37 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker